<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <uses-permission android:name="android.permission.INTERNET" />

    <application
        android:name=".App"
        android:allowBackup="true"
        android:icon="@mipmap/icon"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/icon"
        android:supportsRtl="true"
        android:theme="@style/Theme.MyKeyBoard"
        tools:targetApi="31">

        <activity
            android:name=".ui.WelcomeActivity"
            android:exported="true"
            android:screenOrientation="portrait">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity
            android:name=".ui.SetkeyboardActivity"
            android:exported="false"
            android:screenOrientation="portrait" />
<!--        <activity-->
<!--            android:name=".ui.PreviewActivity"-->
<!--            android:exported="false"-->
<!--            android:screenOrientation="portrait" />-->
        <activity
            android:name=".ui.SuccessPreViewActivity"
            android:exported="false"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.MainActivity"
            android:exported="true"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"/>

        <service
            android:name=".customerview.MyInputMethodService"
            android:exported="true"
            android:permission="android.permission.BIND_INPUT_METHOD">
            <intent-filter>
                <action android:name="android.view.InputMethod" />
            </intent-filter>

            <meta-data
                android:name="android.view.im"
                android:resource="@xml/my_keyborad" />
        </service>
    </application>

</manifest>